Skip to main content
POST
/
customer-groups
/
customers
/
delete
Remove customers from group
curl --request POST \
  --url https://api.nuwebgroup.com/v1/customer-groups/customers/delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customerGroupId": 1,
  "customers": [
    {
      "email": "test@example.com"
    }
  ]
}
'
{
  "data": {
    "type": "customerGroups",
    "id": 1,
    "attributes": {
      "name": "My Group",
      "companyId": 1,
      "createdAt": "2021-11-22T11:59:00.000000Z",
      "updatedAt": "2021-11-22T11:59:00.000000Z",
      "deletedAt": null
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Body

application/json

Request body for removing customers from a group

customerGroupId
boolean

The ID of the customer group to remove customers from

customers
any[]

An array of customer emails that should be removed from the group

Response

Successfully removed the customers from the group

data
object